aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib/python
diff options
context:
space:
mode:
authorGravatar Masood Malekghassemi <atash@google.com>2016-05-04 12:48:39 -0700
committerGravatar Masood Malekghassemi <atash@google.com>2016-05-04 15:30:30 -0700
commit916c960e593affc049ade727e86f78febeeb2420 (patch)
treeb8e43ac23007aa85f53a18f3092f75847441f9c4 /test/distrib/python
parentf837cc8f6304e1cd2a018d449fb4826e560cb282 (diff)
Fix Python distrib test
Diffstat (limited to 'test/distrib/python')
-rwxr-xr-xtest/distrib/python/run_distrib_test.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/distrib/python/run_distrib_test.sh b/test/distrib/python/run_distrib_test.sh
index 73e471dd26..e20767a885 100755
--- a/test/distrib/python/run_distrib_test.sh
+++ b/test/distrib/python/run_distrib_test.sh
@@ -41,18 +41,18 @@ then
exit 1
fi
-PIP=pip2
-which $PIP || PIP=pip
PYTHON=python2
+PIP=pip2
which $PYTHON || PYTHON=python
+which $PIP || PIP=pip
# TODO(jtattermusch): this shouldn't be required
-$PIP install --upgrade six pip
+${PIP} install --upgrade six pip
# At least one of the bdist packages has to succeed (whichever one matches the
# test machine, anyway).
for bdist in ${BDIST_ARCHIVES}; do
- ($PIP install $bdist) || true
+ ($PYTHON -m pip install $bdist) || true
done
$PYTHON distribtest.py